Bug 16271 - Allow more filters on /api/v1/holds
Summary: Allow more filters on /api/v1/holds
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Web services (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Testopia
URL:
Keywords:
Depends on: 13903
Blocks: 16699
  Show dependency treegraph
 
Reported: 2016-04-15 08:56 UTC by Julian Maurice
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16271: Allow more filters on /api/v1/reserves (6.62 KB, patch)
2016-04-15 08:57 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 16271: Allow more filters on /api/v1/reserves (6.69 KB, patch)
2016-04-15 13:28 UTC, Benjamin Rokseth
Details | Diff | Splinter Review
Bug 16271: Allow more filters on /api/v1/holds (6.62 KB, patch)
2016-05-09 07:52 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 16271: Allow more filters on /api/v1/holds (6.63 KB, patch)
2016-05-09 07:53 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 16271: Allow more filters on /api/v1/holds (6.68 KB, patch)
2016-06-24 18:36 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2016-04-15 08:56:53 UTC
Actually (with bug 13903) we can only filter reserves using the borrowernumber. And the filter is mandatory (it's not possible to fetch all reserves at once)
We should be able to get all reserves, and to filter on other criteria as well
Comment 1 Julian Maurice 2016-04-15 08:57:48 UTC Comment hidden (obsolete)
Comment 2 Benjamin Rokseth 2016-04-15 13:28:37 UTC Comment hidden (obsolete)
Comment 3 Benjamin Rokseth 2016-04-15 13:29:31 UTC
Brilliant work Julian! Works perfectly! Let the new API rule
Comment 4 Katrin Fischer 2016-04-28 22:15:29 UTC
Can we get a follow-up to change this to holds also?
Comment 5 Katrin Fischer 2016-05-08 12:27:00 UTC
see comment#4 - needs a follow-up to be about 'holds'
Comment 6 Julian Maurice 2016-05-09 07:52:06 UTC Comment hidden (obsolete)
Comment 7 Julian Maurice 2016-05-09 07:53:27 UTC Comment hidden (obsolete)
Comment 8 Julian Maurice 2016-05-09 07:54:17 UTC
Patch rebased on master and 'reserves' changed to 'holds'
Comment 9 Kyle M Hall 2016-06-24 18:36:42 UTC
Created attachment 52862 [details] [review]
Bug 16271: Allow more filters on /api/v1/holds

borrowernumber parameter is no longer required and you can filter on
every column of reserves table

Some example requests
- GET /api/v1/holds
- GET /api/v1/holds?biblionumber=123
- GET /api/v1/holds?borrowernumber=456
- GET /api/v1/holds?priority=0&found=W

Signed-off-by: Benjamin Rokseth <benjamin.rokseth@kul.oslo.kommune.no>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Kyle M Hall 2016-07-08 14:18:46 UTC
Pushed to master for 16.11, thanks Julian!
Comment 11 Frédéric Demians 2016-08-01 13:33:55 UTC
Pushed in 16.05. Will be in 16.05.02.